Bug 809488 - jboss-jacc-1.4-api must not have jboss-specs-parent as a requirement
jboss-jacc-1.4-api must not have jboss-specs-parent as a requirement
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jboss-jacc-1.4-api (Show other bugs)
17
All All
unspecified Severity medium
: ---
: ---
Assigned To: Ricardo Arguello
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 09:38 EDT by Carlo de Wolf
Modified: 2012-10-15 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 06:14:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlo de Wolf 2012-04-03 09:38:44 EDT
Description of problem:

jboss-jacc-1.4-api (simple jar) currently has jboss-specs-parent (pom) as a runtime requirement. This is simply not true.

Version-Release number of selected component (if applicable):

jboss-jacc-1.4-api-1.0.2-0.1.20120310git7976d2.fc17.noarch

Expected:

jboss-specs-parent as a build requirement.
Comment 1 Carlo de Wolf 2012-04-03 09:44:54 EDT
It would appear that jboss-specs-parent is not used at all by the pom.

https://github.com/jboss/jboss-jacc-api_spec/blob/jboss-jacc-api_1.4_spec-1.0.2.Final/pom.xml
Comment 2 Fedora Update System 2012-04-04 00:40:25 EDT
jboss-jacc-1.4-api-1.0.2-0.2.20120310git7976d2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jacc-1.4-api-1.0.2-0.2.20120310git7976d2.fc17
Comment 3 Fedora Update System 2012-04-05 14:28:04 EDT
Package jboss-jacc-1.4-api-1.0.2-0.2.20120310git7976d2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-jacc-1.4-api-1.0.2-0.2.20120310git7976d2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5392/jboss-jacc-1.4-api-1.0.2-0.2.20120310git7976d2.fc17
then log in and leave karma (feedback).
Comment 4 Marek Goldmann 2012-10-15 06:14:31 EDT
This was fixed in 1.0.2-1, closing.

Note You need to log in before you can comment on or make changes to this bug.